#!/system/bin/sh
#
# run script stored in DIRECTORY only once
#
# malez @2010
#

LOG=/data/runOnce.log
FS=/data
DIRECTORY=${FS}/runOnce

error(){

        echo "$( date +"%m-%d-%Y %H:%M:%S" ) Error : $0" #| tee -a $LOG_FILE;
        exit 1
}

#> $LOG

echo "++++++++++++++++++++++++++++++++++++++++++++++"
echo ""
echo "$( date +"%m-%d-%Y %H:%M:%S" ) === Starting $0 " #| tee -a $LOG_FILE;
# mouting FS read-write

#mount -o remount,rw $FS || error "Unable to remount $FS rw"

for f in ${DIRECTORY}/*;
do
  echo "====================="	
  echo "$( date +"%m-%d-%Y %H:%M:%S" ) Starting $f" #| tee -a $LOG_FILE;
  $f 2>&1 #| tee -a $LOG
  rm $f && echo "$( date +"%m-%d-%Y %H:%M:%S" ) $f removed" #| tee -a $LOG_FILE;
  echo "====================="
  echo ""
done

#mount -o remount,ro $FS || error "Unable to remount $FS ro"

echo "$( date +"%m-%d-%Y %H:%M:%S" ) === End $0 " #| tee -a $LOG_FILE;
